Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ServantActivator Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ServantActivator:

[legend]
Collaboration diagram for PortableServer::ServantActivator:

[legend]
List of all members.

## Public Types
typedef ServantActivator_ptr | _ptr_type
typedef ServantActivator_var | _var_type
## Public Methods
virtual::PortableServer::Servant | incarnate (const PortableServer::ObjectId &oid, PortableServer::POA_ptr adapter ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableServer::ForwardRequest )
virtual void | etherealize (const PortableServer::ObjectId &oid, PortableServer::POA_ptr adapter, PortableServer::Servant serv, CORBA::Boolean cleanup_in_progress, CORBA::Boolean remaining_activations ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
ServantActivator_ptr | _duplicate (ServantActivator_ptr obj)
ServantActivator_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServantActivator_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| ServantActivator (void)
virtual | ~ServantActivator (void)
## Private Methods
| ServantActivator (const ServantActivator &)
void | operator= (const ServantActivator &)

## Member Typedef Documentation

typedef ServantActivator_ptr PortableServer::ServantActivator::_ptr_type

| Reimplemented from PortableServer::ServantManager.

typedef ServantActivator_var PortableServer::ServantActivator::_var_type

| Reimplemented from PortableServer::ServantManager.

## Constructor & Destructor Documentation

PortableServer::ServantActivator::ServantActivator | ( | void |  | ) | `[protected]`

PortableServer::ServantActivator::~ServantActivator | ( | void |  | ) | `[protected, virtual]`

PortableServer::ServantActivator::ServantActivator | ( | const ServantActivator & |  | ) | `[private]`

## Member Function Documentation

PortableServer::ServantActivator_ptr PortableServer::ServantActivator::_duplicate | ( | ServantActivator_ptr | obj | ) | `[static]`

const char * PortableServer::ServantActivator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from PortableServer::ServantManager.

virtual CORBA::Boolean PortableServer::ServantActivator::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from PortableServer::ServantManager.

ServantActivator_ptr PortableServer::ServantActivator::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableServer::ServantManager.

ServantActivator_ptr PortableServer::ServantActivator::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from PortableServer::ServantManager.

void PortableServer::ServantActivator::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from PortableServer::ServantManager.

virtual void PortableServer::ServantActivator::etherealize | ( | const PortableServer::ObjectId & | oid,
|  | PortableServer::POA_ptr | adapter,
|  | PortableServer::Servant | serv,
|  | CORBA::Boolean | cleanup_in_progress,
|  | CORBA::Boolean remaining_activations | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual ::PortableServer::Servant PortableServer::ServantActivator::incarnate | ( | const PortableServer::ObjectId & | oid,
|  | PortableServer::POA_ptr adapter | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , PortableServer::ForwardRequest )`[pure virtual]`

CORBA::Boolean PortableServer::ServantActivator::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from PortableServer::ServantManager.

void PortableServer::ServantActivator::operator= | ( | const ServantActivator & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp